package sun.net.www.content.image;

import java.awt.Toolkit;
import java.awt.Image;
import java.io.IOException;
import sun.awt.image.URLImageSource;
import java.net.URLConnection;
import java.net.ContentHandler;

public class x_xpixmap extends ContentHandler
{
    public x_xpixmap() {
    }
    
    @Override
    public Object getContent(URLConnection uc) throws IOException {
        return new URLImageSource(uc);
    }
    
    @Override
    public Object getContent(URLConnection urlConnection, Class[] array) throws IOException {
        int i = 0;
        while (i < array.length) {
            if (array[i].isAssignableFrom(URLImageSource.class)) {
                return new URLImageSource(urlConnection);
            }
            if (array[i].isAssignableFrom(Image.class)) {
                return Toolkit.getDefaultToolkit().createImage(new URLImageSource(urlConnection));
            }
            ++i;
        }
        return null;
    }
}
